Bug 1427200 - evm_watchdog fails to start
Summary: evm_watchdog fails to start
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: GA
: 5.8.0
Assignee: Nick Carboni
QA Contact: Nandini Chandra
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-27 15:10 UTC by Satoe Imaishi
Modified: 2017-10-10 18:14 UTC (History)
5 users (show)

Fixed In Version: 5.8.0.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:36:52 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Satoe Imaishi 2017-02-27 15:10:24 UTC
Due to the gems-pending repo extraction, the 'require' in /bin/evm_watchdog.rb no longer works:

  require '/var/www/miq/vmdb/gems/pending/util/system/evm_watchdog'


[root@localhost pending]# ruby /bin/evm_watchdog.rb 
/opt/rh/rh-ruby23/root/usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require': cannot load such file -- /var/www/miq/vmdb/gems/pending/util/system/evm_watchdog (LoadError)
	from /opt/rh/rh-ruby23/root/usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require'
	from /bin/evm_watchdog.rb:5:in `<main>'

Comment 3 CFME Bot 2017-02-28 16:22:22 UTC
New commit detected on ManageIQ/manageiq-appliance/master:
https://github.com/ManageIQ/manageiq-appliance/commit/77a73a1561430ec8439db5bc1c846aebced6937a

commit 77a73a1561430ec8439db5bc1c846aebced6937a
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Mon Feb 27 13:33:38 2017 -0500
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Tue Feb 28 11:10:53 2017 -0500

    Require the watchdog using the manageiq-gems-pending gem
    
    This was broken when the vmdb/gems/pending directory got broken
    out into a gem.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1427200

 LINK/usr/bin/evm_watchdog.rb | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

Comment 4 Nandini Chandra 2017-05-02 17:36:41 UTC
Verified in 5.8.0.11

Comment 6 errata-xmlrpc 2017-05-31 14:36:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.